Index: res/res_features.c
===================================================================
RCS file: /usr/cvsroot/asterisk/res/res_features.c,v
retrieving revision 1.63
diff -u -u -r1.63 res_features.c
--- res/res_features.c	25 Jul 2005 17:31:53 -0000	1.63
+++ res/res_features.c	28 Jul 2005 20:35:05 -0000
@@ -1161,26 +1161,26 @@
 		peer->cdr = NULL;
 	}
 	for (;;) {
-		if (config->timelimit)
+		if (config->feature_timer)
 			start = ast_tvnow();
 		res = ast_channel_bridge(chan, peer, config, &f, &who);
-		if (config->timelimit) {
+		if (config->feature_timer) {
 			/* Update time limit for next pass */
 			diff = ast_tvdiff_ms(ast_tvnow(), start);
-			config->timelimit -= diff;
+			config->feature_timer -= diff;
 			if (hasfeatures) {
 				/* Running on backup config, meaning a feature might be being
 				   activated, but that's no excuse to keep things going 
 				   indefinitely! */
-				if (backup_config.timelimit && ((backup_config.timelimit -= diff) <= 0)) {
+				if (backup_config.feature_timer && ((backup_config.feature_timer -= diff) <= 0)) {
 					ast_log(LOG_DEBUG, "Timed out, realtime this time!\n");
-					config->timelimit = 0;
+					config->feature_timer = 0;
 					who = chan;
 					if (f)
 						ast_frfree(f);
 					f = NULL;
 					res = 0;
-				} else if (config->timelimit <= 0) {
+				} else if (config->feature_timer <= 0) {
 					/* Not *really* out of time, just out of time for
 					   digits to come in for features. */
 					ast_log(LOG_DEBUG, "Timed out for feature!\n");
@@ -1205,9 +1205,9 @@
 					continue;
 				}
 			} else {
-				if (config->timelimit <=0) {
+				if (config->feature_timer <=0) {
 					/* We ran out of time */
-					config->timelimit = 0;
+					config->feature_timer = 0;
 					who = chan;
 					if (f)
 						ast_frfree(f);
@@ -1272,7 +1272,7 @@
 				featurecode = peer_featurecode;
 			}
 			featurecode[strlen(featurecode)] = f->subclass;
-			config->timelimit = backup_config.timelimit;
+			config->feature_timer = backup_config.feature_timer;
 			res = ast_feature_interpret(chan, peer, config, featurecode, sense);
 			switch(res) {
 			case FEATURE_RETURN_PASSDIGITS:
@@ -1307,8 +1307,8 @@
 					config->start_sound = NULL;
 					config->firstpass = 0;
 				}
-				config->timelimit = featuredigittimeout;
-				ast_log(LOG_DEBUG, "Set time limit to %ld\n", config->timelimit);
+				config->feature_timer = featuredigittimeout;
+				ast_log(LOG_DEBUG, "Set time limit to %ld\n", config->feature_timer);
 			}
 		}
 		if (f)
Index: include/asterisk/channel.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/channel.h,v
retrieving revision 1.94
diff -u -u -r1.94 channel.h
--- include/asterisk/channel.h	25 Jul 2005 22:13:32 -0000	1.94
+++ include/asterisk/channel.h	28 Jul 2005 20:35:07 -0000
@@ -370,6 +370,7 @@
 struct ast_bridge_config {
 	struct ast_flags features_caller;
 	struct ast_flags features_callee;
+	long feature_timer;
 	long timelimit;
 	long play_warning;
 	long warning_freq;
